// AABB - [2020-04-13 11:57:46]
#ifndef _AABB_H_
#define _AABB_H_

#include "CFTTVector32.h"

/*
001B2928 AABB::AABB()
001B452C AABB::Combine(AABB const&,bool)
001B4724 AABB::Overlap(AABB const&,AABB const&,bool)

0x40
*/

// 0x6
struct GFXNETTri {
  ushort us_0;
  ushort us_2;
  ushort us_4;
};

float* sub_1B45FC(float* result, float* a2, float* a3);
float* sub_1B464C(float* result, float* a2, float* a3);

class AABB {
public:
  AABB();                                               // 001B2928
  AABB(float f); 

                                         // 被强制inline
  float* Combine(AABB const&, bool);                    // 001B452C
  static bool Overlap(AABB const&, AABB const&, bool);  // 001B4724

  CFTTVector32 m_fttVector_0[2][2];

  AABB* m_pAABB_30;
  AABB* m_pAABB_34;
  GFXNETTri* m_pGFXNETTri_38;
  GFXNETTri* m_pGFXNETTri_3C;
};

#endif  //_AABB_H_